(define-module (ui tc-reset ajax)
               :use-module (alterator ajax)
               :use-module (alterator woo)
               :export (init))

; Button `go' was pressed
(define (on-go)
  (form-update-visibility '("init") #f)
  (form-update-visibility '("confirm") #t)
  )

; Button `confirm' was pressed
(define (on-confirm)
  (form-update-visibility '("confirm" "init") #f)
  (form-update-visibility '("timer") #t)
  (catch/message
    (lambda()
      (woo-write "/tc-reset" 'reset "yes"))))

; Button `cancel' was pressed
(define (on-cancel)
  (form-update-visibility '("confirm") #f)
  (form-update-visibility '("init") #t))


; Init
(define (init)
  ; Interconnect button with action 
  (form-bind "button_go" "click" on-go)
  (form-bind "button_confirm" "click" on-confirm)
  (form-bind "button_cancel" "click" on-cancel))
